import java.io.*;
import java.util.regex.*;

public class Reformat {
	public static void main(String[] args) throws Exception {
		String name = "res/oalg-slen.xml";
		
		BufferedReader in = new BufferedReader(new InputStreamReader(
				new FileInputStream(name)));
		StringBuilder out = new StringBuilder();
		String line = null;
		
		String sl = "(Osl[^ \"]*)";
		String en = "(Oen[^ \"]*)";
		while ((line = in.readLine()) != null) {
			if (line.trim().startsWith("<link ")) {
				int slNum = line.split(sl).length - 1;
				int enNum = line.split(en).length - 1;
				
				line+="\t<!--" + slNum + ":" + enNum + "-->";
			}
			out.append(line+"\n");
			
		}
		in.close();
		System.out.println(out);
		PrintWriter print = new PrintWriter(new FileOutputStream(name));
		print.write(out.toString());
		print.close();
		
	}
}