import java.util.*;

public class TestSimple {
	public static void main(String[] args) throws Exception {

	AlignmentParser parser = new AlignmentParser("proba");
	parser.parse("res/old/slen.test");
	parser.parse("res/old/mken.test");
	parser.parse("res/old/deen.test");
	Context context = parser.getContext();
	Aligner aligner = new Aligner(context);

	List<String> corpusNames = new ArrayList<String> ();
	corpusNames.add("sl");
	corpusNames.add("en");
	corpusNames.add("mk");
	corpusNames.add("de");

	String hubCorpusName = "en";

	List<String> alignmentNames = new ArrayList<String> ();
	alignmentNames.add("slen");
	alignmentNames.add("mken");
	alignmentNames.add("deen");
	
	Alignment result = aligner.align(corpusNames, hubCorpusName, alignmentNames);
	
	AlignmentWriter writer = new AlignmentWriter(System.out, result);
	writer.write();
	

	
	
	
	
	System.out.println();
	
	
	}
}



